Subject: lookig for the B'gham Al gardener!

From: gracie!agrawal (Nisheeth Agrawal)
Date: 30 Mar 1995 17:42:41 GMT

A B'gham gardner had asked for the mantis ph number and I had posted a reply
with the ph number. He/She had sent me a thank you email but I lost the
address. If you are listening (reading) out there. Sorry, I wasn't being
rude or impolite. I deleted you email by mistake and then forgot about getting
the orginal post from the net. Anyway, you can email me at:

[email-masked]

Thanks!

Nisheeth
[email-masked]
All opinions are mine and not my employer or anybody else!!